UP 2014.01.15 [PRODUCTION] [DONE]

Important informations about SolydXK including releases notes, forum rules and other anouncements
User avatar
palimmo
Posts: 808
Joined: 19 Nov 2013 19:44
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby palimmo » 16 Jan 2014 15:24

zerozero wrote:
palimmo wrote:What is happened?
we are trying to figure this out too. it's not the first report we have with this issue but unfortunately we couldn't (yet) replicate it.
We have to thank TeaSwigger for outlining the correct process to solve this.

===
regarding the discrepancy in the dates you have Schoelje answer above.
I don't know if it could be helpful, but at the beginning of the update process I received this pop up message too:
snapshot4.jpg
sorry i can't say more about these 20 packages to be installed....
Proud user of SolydK!

Dai diamanti non nasce niente, dal letame nascono i fior. http://aquilone.wordpress.com/

RcyberN
Posts: 62
Joined: 04 Dec 2013 12:57

Re: UP 2014.01.15 [PRODUCTION]

Postby RcyberN » 16 Jan 2014 16:12

Night Wing wrote:
RcyberN wrote:Firewall gui bug or working as advertised?

I noticed after the SolydK update the firewall gui settings appear to be disabled. When enabling though the gui, it prompts root access to make changes, but settings disappear when closing and reopening. Is this how it's supposed to work?
I just checked my firewall status and I can confirm your comments and I'm using SolydX.
Thanks, after some more research on the web this seems like it may be bug in general (at least for the KDE module). Even disabling the firewall via the KDE Gufw has no effect. I get the same results when checking firewall status via terminal (firewall active with default settings). I've check the results immediately after making the change and after reboot.

iain1940
Posts: 23
Joined: 09 Mar 2013 08:22
Location: UK

Re: UP 2014.01.15 [PRODUCTION]

Postby iain1940 » 16 Jan 2014 18:03

Not quite sure exactly what went wrong !
I ran UM and it downloaded and started the install process.
It stopped with

Code: Select all

E: /var/cache/apt/archives/libc6_2.17-97_amd64.deb: subprocess new pre-installation script was killed by signal (Segmentation fault)
E: man-db: subprocess installed post-installation script was killed by signal (Segmentation fault)
the update text was

Code: Select all


apt-listchanges: Mailing root: apt-listchanges: news for dylan
Extracting templates from packages: 100%
Preconfiguring packages ...
dnet-common: Skipping configure of DECnet
(Reading database ... 343837 files and directories currently installed.)
Preparing to replace dpkg 1.16.12 (using .../archives/dpkg_1.17.5_amd64.deb) ...
Unpacking replacement dpkg ...
Processing triggers for man-db ...
Setting up dpkg (1.17.5) ...
(Reading database ... 343822 files and directories currently installed.)
Preparing to unpack .../findutils_4.4.2-7_amd64.deb ...
Unpacking findutils (4.4.2-7) over (4.4.2-6) ...
Processing triggers for man-db (2.6.5-2) ...
Processing triggers for install-info (5.2.0.dfsg.1-1) ...
Setting up findutils (4.4.2-7) ...
(Reading database ... 343822 files and directories currently installed.)
Preparing to unpack .../perl_5.18.1-5_amd64.deb ...
Unpacking perl (5.18.1-5) over (5.18.1-4) ...
Preparing to unpack .../libperl5.18_5.18.1-5_amd64.deb ...
Unpacking libperl5.18 (5.18.1-5) over (5.18.1-4) ...
Preparing to unpack .../perl-base_5.18.1-5_amd64.deb ...
Unpacking perl-base (5.18.1-5) over (5.18.1-4) ...
Processing triggers for man-db (2.6.5-2) ...
Setting up perl-base (5.18.1-5) ...
(Reading database ... 343822 files and directories currently installed.)
Preparing to unpack .../perl-modules_5.18.1-5_all.deb ...
Unpacking perl-modules (5.18.1-5) over (5.18.1-4) ...
Preparing to unpack .../libc-bin_2.17-97_amd64.deb ...
Unpacking libc-bin (2.17-97) over (2.17-93) ...
Preparing to unpack .../libc6_2.17-97_i386.deb ...
De-configuring libc6:amd64 (2.17-93) ...
Unpacking libc6:i386 (2.17-97) over (2.17-93) ...
Preparing to unpack .../libc6_2.17-97_amd64.deb ...
dpkg: error processing archive /var/cache/apt/archives/libc6_2.17-97_amd64.deb (--unpack):
 subprocess new pre-installation script was killed by signal (Segmentation fault)
Preparing to unpack .../libgcc1_1%3a4.8.2-10_i386.deb ...
De-configuring libgcc1:amd64 (1:4.8.2-1) ...
Unpacking libgcc1:i386 (1:4.8.2-10) over (1:4.8.2-1) ...
Preparing to unpack .../libgcc1_1%3a4.8.2-10_amd64.deb ...
Unpacking libgcc1:amd64 (1:4.8.2-10) over (1:4.8.2-1) ...
Preparing to unpack .../gcc-4.8-base_4.8.2-10_i386.deb ...
De-configuring gcc-4.8-base:amd64 (4.8.2-1) ...
Unpacking gcc-4.8-base:i386 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../gcc-4.8-base_4.8.2-10_amd64.deb ...
Unpacking gcc-4.8-base:amd64 (4.8.2-10) over (4.8.2-1) ...
Processing triggers for man-db (2.6.5-2) ...
dpkg: error processing package man-db (--unpack):
 subprocess installed post-installation script was killed by signal (Segmentation fault)
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.17-97_amd64.deb
 man-db
W: Waited for dpkg --assert-multi-arch but it wasn't there - dpkgGo (10: No child processes)
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up libperl5.18 (5.18.1-5) ...
Setting up man-db (2.6.5-2) ...
dpkg: error processing package man-db (--configure):
 subprocess installed post-installation script was killed by signal (Segmentation fault)
Setting up gcc-4.8-base:amd64 (4.8.2-10) ...
Setting up gcc-4.8-base:i386 (4.8.2-10) ...
Setting up libc-bin (2.17-97) ...
dpkg: error processing package libc6:i386 (--configure):
 package libc6:i386 2.17-97 cannot be configured because libc6:amd64 is at a different version (2.17-93)
Setting up libgcc1:amd64 (1:4.8.2-10) ...
dpkg: dependency problems prevent configuration of libgcc1:i386:
 libgcc1:i386 depends on libc6 (>= 2.2.4); however:
  Package libc6:i386 is not configured yet.

dpkg: error processing package libgcc1:i386 (--configure):
 dependency problems - leaving unconfigured
Setting up perl-modules (5.18.1-5) ...
Setting up perl (5.18.1-5) ...
Processing triggers for libc-bin (2.17-97) ...
Errors were encountered while processing:
 man-db
 libc6:i386
 libgcc1:i386

The system wouldn't run any new programs (libreOffice, gedit, etc)
I was only able to save the above as I had a notes (xfce4-notes) box open.

After closing the UM window still nothing new would run

I restarted and the boot procedure started normally and the came up with a message finishing (I think!)
'.. system probably broken..' before a black screen.


I restored from a Clonezilla backup (taken just before the Update).


Any suggestions please ?

I'm running an amd64-XFCE on an i5 (see below) with Nvidia drivers

inxi -r

Code: Select all

>inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.solydxk.com/production/ solydxk main upstream import
           deb http://community.solydxk.com/production/ solydxk main
           deb http://debian.solydxk.com/production testing main contrib non-free
           deb http://debian.solydxk.com/production/multimedia testing main non-free
           deb http://debian.solydxk.com/security testing/updates main contrib non-free
           deb http://www.bchemnet.com/suldr/ debian extra
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb http://dl.google.com/linux/chrome/deb/ stable main
inxi -b

Code: Select all

System:    Host: dylan Kernel: 3.11-2-amd64 x86_64 (64 bit) Desktop: Xfce 4.10.2 Distro: SolydXK 1 testing
Machine:   Mobo: ASUSTeK model: P7P55D LE version: Rev 1.xx Bios: American Megatrends version: 2003 date: 12/16/2010
CPU:       Quad core Intel Core i5 CPU 750 (-MCP-) clocked at 1200.00 MHz 
Graphics:  Card: NVIDIA G94 [GeForce 9600 GT] X.Org: 1.14.3 driver: nvidia Resolution: 1680x1050@60.0hz, 1280x1024@60.0hz 
           GLX Renderer: GeForce 9600 GT/PCIe/SSE2 GLX Version: 3.3.0 NVIDIA 319.72
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller driver: r8169 
Drives:    HDD Total Size: 7281.5GB (11.7% used)
Info:      Processes: 212 Uptime: 45 min Memory: 1298.8/12043.8MB Client: Shell (bash) inxi: 1.9.14 

New applications installed -
Rapid-photo-downloader

I did install and then remove
Digikam

and removed and reinstalled
Shotwell

(I had problems with import from cameras)

I don't know whether these are relevant ?

Thanks
Iain

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby zerozero » 16 Jan 2014 18:12

Iain
please follow the same procedure outlined in the posts following this one >> http://forums.solydxk.nl/viewtopic.php? ... =40#p24512
bliss of ignorance

User avatar
Arjen Balfoort
Site Admin
Posts: 9282
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby Arjen Balfoort » 16 Jan 2014 18:14

...and could you also attach this file:
/usr/lib/solydxk/updatemanager/2014.01.15.pre


SolydXK needs you!
Development | Testing | Translations

iain1940
Posts: 23
Joined: 09 Mar 2013 08:22
Location: UK

Re: UP 2014.01.15 [PRODUCTION]

Postby iain1940 » 16 Jan 2014 18:46

Schoelje
Post by Schoelje » 16 Jan 2014 18:14

...and could you also attach this file:
/usr/lib/solydxk/updatemanager/2014.01.15.pre
attached as 2014.01.15_pre.txt

zerozero
Iain
please follow the same procedure outlined in the posts following this one >> viewtopic.php?f=32&t=2583&start=40#p24512
I restored pre UM 'root' file system - I can retry UM later if it would help.

I looked to see if there were any error reports containing 'man_db' but miissed palimmo's as it was in an image.
My problem seems to be the same as his.

Thanks for your response
Attachments
2014.01.15_pre.txt
(3.87 KiB) Downloaded 71 times

User avatar
Arjen Balfoort
Site Admin
Posts: 9282
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby Arjen Balfoort » 16 Jan 2014 18:55

You are probably using a mirror, or you started UM a few hours ago.
I had to adapt the pre script for this issue and added:

Code: Select all

if [ -e /etc/apt/preferences ]; then
  CHKPREF='Package:*Pin:releaseo=solydxkPin-Priority:700Package:*Pin:originpackages.solydxk.comPin-Priority:700Package:*Pin:releaseo=DebianPin-Priority:500'
  PREF=$(cat /etc/apt/preferences | tr -d '\n' | tr -d ' ')
  if [ "$PREF" == "$CHKPREF" ]; then
    mv /etc/apt/preferences /etc/apt/preferences.solydxk
  fi
fi

handle_pck 'libc6' 'reinstall' 'all'
handle_pck 'libc6:i386'  'reinstall' 'all'
at the bottom.
This would rename the preferences file if it has the default contents, and reinstall the libc6 packages before the actual upgrade starts.

If you're not pointing to a mirror, you can remove the pre and post scripts before you start the UM:

Code: Select all

sudo rm /usr/lib/solydxk/updatemanager/*.pre
sudo rm /usr/lib/solydxk/updatemanager/*.post
This will force UM to download the scripts again.


SolydXK needs you!
Development | Testing | Translations

iain1940
Posts: 23
Joined: 09 Mar 2013 08:22
Location: UK

Re: UP 2014.01.15 [PRODUCTION]

Postby iain1940 » 16 Jan 2014 19:18

Post by Schoelje » 16 Jan 2014 18:55

You are probably using a mirror, or you started UM a few hours ago.
I had to adapt the pre script for this issue and added:
I wasn't using a mirror but I checked UM last night, downloaded the scripts and then ran full update this afternoon after backing up 'root' (A good idea !!)

Thanks for response
Will now try again

iain1940
Posts: 23
Joined: 09 Mar 2013 08:22
Location: UK

Re: UP 2014.01.15 [PRODUCTION]

Postby iain1940 » 16 Jan 2014 20:52

Well that was interesting !
I reran UM after running
sudo rm /usr/lib/solydxk/updatemanager/*.pre
sudo rm /usr/lib/solydxk/updatemanager/*.post
and got exactly the same problem

Code: Select all

apt-listchanges: Mailing root: apt-listchanges: news for dylan
Extracting templates from packages: 100%
Preconfiguring packages ...
dnet-common: Skipping configure of DECnet
(Reading database ... 343837 files and directories currently installed.)
Preparing to replace dpkg 1.16.12 (using .../archives/dpkg_1.17.5_amd64.deb) ...
Unpacking replacement dpkg ...
Processing triggers for man-db ...
Setting up dpkg (1.17.5) ...
(Reading database ... 343822 files and directories currently installed.)
Preparing to unpack .../findutils_4.4.2-7_amd64.deb ...
Unpacking findutils (4.4.2-7) over (4.4.2-6) ...
Processing triggers for man-db (2.6.5-2) ...
Processing triggers for install-info (5.2.0.dfsg.1-1) ...
Setting up findutils (4.4.2-7) ...
(Reading database ... 343822 files and directories currently installed.)
Preparing to unpack .../perl_5.18.1-5_amd64.deb ...
Unpacking perl (5.18.1-5) over (5.18.1-4) ...
Preparing to unpack .../libperl5.18_5.18.1-5_amd64.deb ...
Unpacking libperl5.18 (5.18.1-5) over (5.18.1-4) ...
Preparing to unpack .../perl-base_5.18.1-5_amd64.deb ...
Unpacking perl-base (5.18.1-5) over (5.18.1-4) ...
Processing triggers for man-db (2.6.5-2) ...
Setting up perl-base (5.18.1-5) ...
(Reading database ... 343822 files and directories currently installed.)
Preparing to unpack .../perl-modules_5.18.1-5_all.deb ...
Unpacking perl-modules (5.18.1-5) over (5.18.1-4) ...
Preparing to unpack .../libc-bin_2.17-97_amd64.deb ...
Unpacking libc-bin (2.17-97) over (2.17-93) ...
Preparing to unpack .../libc6_2.17-97_i386.deb ...
De-configuring libc6:amd64 (2.17-93) ...
Unpacking libc6:i386 (2.17-97) over (2.17-93) ...
Preparing to unpack .../libc6_2.17-97_amd64.deb ...
dpkg: error processing archive /var/cache/apt/archives/libc6_2.17-97_amd64.deb (--unpack):
 subprocess new pre-installation script was killed by signal (Segmentation fault)
Preparing to unpack .../libgcc1_1%3a4.8.2-10_i386.deb ...
De-configuring libgcc1:amd64 (1:4.8.2-1) ...
Unpacking libgcc1:i386 (1:4.8.2-10) over (1:4.8.2-1) ...
Preparing to unpack .../libgcc1_1%3a4.8.2-10_amd64.deb ...
Unpacking libgcc1:amd64 (1:4.8.2-10) over (1:4.8.2-1) ...
Preparing to unpack .../gcc-4.8-base_4.8.2-10_i386.deb ...
De-configuring gcc-4.8-base:amd64 (4.8.2-1) ...
Unpacking gcc-4.8-base:i386 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../gcc-4.8-base_4.8.2-10_amd64.deb ...
Unpacking gcc-4.8-base:amd64 (4.8.2-10) over (4.8.2-1) ...
Processing triggers for man-db (2.6.5-2) ...
dpkg: error processing package man-db (--unpack):
 subprocess installed post-installation script was killed by signal (Segmentation fault)
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.17-97_amd64.deb
 man-db
W: Waited for dpkg --assert-multi-arch but it wasn't there - dpkgGo (10: No child processes)
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up libperl5.18 (5.18.1-5) ...
Setting up man-db (2.6.5-2) ...
dpkg: error processing package man-db (--configure):
 subprocess installed post-installation script was killed by signal (Segmentation fault)
Setting up gcc-4.8-base:amd64 (4.8.2-10) ...
Setting up gcc-4.8-base:i386 (4.8.2-10) ...
Setting up libc-bin (2.17-97) ...
dpkg: error processing package libc6:i386 (--configure):
 package libc6:i386 2.17-97 cannot be configured because libc6:amd64 is at a different version (2.17-93)
Setting up libgcc1:amd64 (1:4.8.2-10) ...
dpkg: dependency problems prevent configuration of libgcc1:i386:
 libgcc1:i386 depends on libc6 (>= 2.2.4); however:
  Package libc6:i386 is not configured yet.

dpkg: error processing package libgcc1:i386 (--configure):
 dependency problems - leaving unconfigured
Setting up perl-modules (5.18.1-5) ...
Setting up perl (5.18.1-5) ...
Processing triggers for libc-bin (2.17-97) ...
Errors were encountered while processing:
 man-db
 libc6:i386
 libgcc1:i386
but this time I followed the advice given to palimmo (http://forums.solydxk.nl/viewtopic.php? ... =40#p24512)

Code: Select all

Start SolydK, you will get to that black screen most probably;
do Ctrl+Alt+F1 key combination
this should get you into tty1
log in with your username and password
now (if until here all went ok)

su
apt-get -f install
apt-get dist-upgrade
reboot
and it worked for me as it did for him.
- I also had to use 'recovery mode

thanks guys

Iain

User avatar
TeaSwigger
Posts: 57
Joined: 27 Feb 2013 14:07

Re: UP 2014.01.15 [PRODUCTION]

Postby TeaSwigger » 16 Jan 2014 21:30

zerozero wrote:@TeaSwigger
can you please share with us the output of

Code: Select all

cat /var/log/apt/history.log
(we will "only" :lol: need the logs dated from yesterday)
Ok I've attached the data in the file 'history.txt'.
Attachments
history.txt
(78.46 KiB) Downloaded 70 times
"You can't get to wonderful without passing through alright" -Bill Withers

SolydK 64-bit - AMD Quad Core - 4GB RAM - accursed NVIDIA GeForce 5800 graphics - lovely ASUS Xonar Essence ST sound

User avatar
ScottQuier
Posts: 1781
Joined: 18 Jul 2013 15:55
Location: Newport News, VA

Two packages held back - How to fix it?

Postby ScottQuier » 16 Jan 2014 21:38

Short version:
Performed the dist-upgrade (successfully) and two packages (libnepomukcore4 nepomuk-core-runtime) were held back. Rebooted, and re-ran the dist-upgrade and they are still held-back. Followed zerozero's and Schoelje's directions to fix with no improvement. How can I correct this? Do I need to worry about it?

Long Version:
While performing update I got the problem with held-back packages, the same as indicated in this post --> http://forums.solydxk.nl/viewtopic.php? ... =20#p24457

I "successfully" ran the dist-upgrade and it all seems to run, but

Code: Select all

black-kde apt # apt-get dist-upgrade 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  libnepomukcore4 nepomuk-core-runtime
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
black-kde apt #
Per direction from zerozero's post (http://forums.solydxk.nl/viewtopic.php? ... =20#p24459):

I have no /etc/apt/preferences file

This is my sources:

Code: Select all

black-kde apt # inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.solydxk.com/production/ solydxk main upstream import kdenext
           deb http://debian.solydxk.com/production testing main contrib non-free
           deb http://debian.solydxk.com/production testing non-free
           deb http://debian.solydxk.com/security testing/updates main contrib non-free
           deb http://community.solydxk.com/production/ solydxk main
black-kde apt # 
I executed Schoelje's directions (http://forums.solydxk.nl/viewtopic.php? ... =40#p24490) but skipped the first one as it made no sense give that fact that I don't have the preferences file

Code: Select all

black-kde apt # ls -al
total 64
drwxr-xr-x   6 root root  4096 Jan 16 16:25 .
drwxr-xr-x 150 root root 12288 Jan 16 16:07 ..
drwxr-xr-x   2 root root  4096 Jan 16 16:04 apt.conf.d
-rw-r--r--   1 root root  2144 Jul 24  2011 apt-file.conf
drwxr-xr-x   2 root root  4096 Oct 28  2010 preferences.d
-rw-r--r--   1 root root   167 Feb 27  2013 preferences.solydxk
-rw-r--r--   1 root root   345 Jan 16 15:22 sources.list
drwxr-xr-x   2 root root  4096 Jul  9  2012 sources.list.d
-rw-r--r--   1 root root   361 Jan 16 15:22 sources.list.save
-rw-------   1 root root 16334 Feb 20  2013 trusted.gpg
drwxr-xr-x   2 root root  4096 Feb 27  2013 trusted.gpg.d
black-kde apt # mv preferences.solydxk preferences.solydxk.bak
black-kde apt # apt-get update
Hit http://packages.solydxk.com solydxk InRelease
Hit http://debian.solydxk.com testing InRelease                               
Hit http://community.solydxk.com solydxk InRelease                                          
Hit http://packages.solydxk.com solydxk/main amd64 Packages                                 
Hit http://debian.solydxk.com testing/updates InRelease                 
Hit http://packages.solydxk.com solydxk/upstream amd64 Packages         
Hit http://community.solydxk.com solydxk/main amd64 Packages            
Hit http://packages.solydxk.com solydxk/import amd64 Packages        
Hit http://debian.solydxk.com testing/main amd64 Packages/DiffIndex
Hit http://packages.solydxk.com solydxk/kdenext amd64 Packages
Hit http://packages.solydxk.com solydxk/main i386 Packages
Hit http://packages.solydxk.com solydxk/upstream i386 Packages
Hit http://packages.solydxk.com solydxk/import i386 Packages
Hit http://debian.solydxk.com testing/contrib amd64 Packages/DiffIndex
Hit http://debian.solydxk.com testing/non-free amd64 Packages/DiffIndex
Hit http://debian.solydxk.com testing/main i386 Packages/DiffIndex
Hit http://debian.solydxk.com testing/contrib i386 Packages/DiffIndex
Hit http://community.solydxk.com solydxk/main i386 Packages
Hit http://packages.solydxk.com solydxk/kdenext i386 Packages
Hit http://debian.solydxk.com testing/non-free i386 Packages/DiffIndex
Hit http://debian.solydxk.com testing/updates/main amd64 Packages
Hit http://debian.solydxk.com testing/updates/contrib amd64 Packages
Hit http://debian.solydxk.com testing/updates/non-free amd64 Packages
Hit http://debian.solydxk.com testing/updates/main i386 Packages
Hit http://debian.solydxk.com testing/updates/contrib i386 Packages
Hit http://debian.solydxk.com testing/updates/non-free i386 Packages
Reading package lists... Done
W: Duplicate sources.list entry http://debian.solydxk.com/production/ testing/non-free amd64 Packages (/var/lib/apt/lists/debian.solydxk.com_production_dists_testing_non-free_binary-amd64_Packages)
W: Duplicate sources.list entry http://debian.solydxk.com/production/ testing/non-free i386 Packages (/var/lib/apt/lists/debian.solydxk.com_production_dists_testing_non-free_binary-i386_Packages)
W: You may want to run apt-get update to correct these problems
black-kde apt # apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
black-kde apt # apt-get dist-upgrade 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  libnepomukcore4 nepomuk-core-runtime
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
black-kde apt # 
I created the /etc/apt/preferences file per (http://forums.solydxk.nl/viewtopic.php? ... =40#p24501) and re-ran Schoelje's sequences of commands with the same results (no big surprise there).

I have to wonder if the two warnings from the "apt-get update" have any bearing. I don't understand their significance.
Scott
Quoting zerozero, "The usage of PPA's in debian-based
systems is risky at best and entails serious compatibility
problems; usually it's the best way to destroy an install"

User avatar
Arjen Balfoort
Site Admin
Posts: 9282
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby Arjen Balfoort » 16 Jan 2014 21:59

@iain1940
Does the 2014.01.15_pre file now has the part at the bottom as described in my post here: http://forums.solydxk.nl/viewtopic.php?p=24549#p24549

@ScottQuier
Your sources.list is a bit messy. Paste this in there:

Code: Select all

deb http://packages.solydxk.com/production/ solydxk main upstream import kdenext
deb http://debian.solydxk.com/production testing main contrib non-free
deb http://debian.solydxk.com/production/multimedia testing main non-free
deb http://debian.solydxk.com/security testing/updates main contrib non-free
deb http://community.solydxk.com/production/ solydxk main
Make sure you don't have an /etc/apt/preferences, and run:

Code: Select all

sudo apt-get update
sudo apt-get dist-upgrade


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby zerozero » 16 Jan 2014 22:13

Scott
yes, the sources.list :roll:
your 3rd line is a truncated version of the 2nd

Code: Select all

deb http://debian.solydxk.com/production testing main contrib non-free
deb http://debian.solydxk.com/production testing non-free
[hence the apt warning]
and you are missing the multimedia line

Code: Select all

deb http://debian.solydxk.com/production/multimedia testing main non-free
bliss of ignorance

ScoobyDan
Posts: 3
Joined: 01 Jan 2014 23:05
Location: West Sussex, England

Re: UP 2014.01.15 [PRODUCTION]

Postby ScoobyDan » 16 Jan 2014 22:19

Hi,

I don't know if this should be posted here, or as a separate thread...

Since installing the UP 2014.01.15 yesterday, I am unable to mount any SD/MMC cards inserted into my card reader, unless they are inserted before the computer is powered on. My external (USB) HDD mounts no problem, but a SD card inserted into a USB adapter will not be seen by the system - they do not appear in the Device Notifier tray icon or anywhere within the file system (such as under '/dev'). If I insert the card before booting the computer, it can be accessed until it is removed - upon re-inserting it, the card is not seen.

The only issue I had during the UP process was the '/var/cache/apt/archives/libc6_2.17-97_amd64.deb' error mentioned previously, easily corrected by 'sudo apt-get install -f' followed by restarting the UP process.

Any ideas?

Daniel
SolydK 64-bit
UP 2014.01.15

Athlon dual-core, 4GB RAM, 500GB HDD (plus 3TB external USB), NVIDIA 8500GT
Dual booting SolydK 64bit and Pear OS 8 64bit

User avatar
ScottQuier
Posts: 1781
Joined: 18 Jul 2013 15:55
Location: Newport News, VA

Re: UP 2014.01.15 [PRODUCTION]

Postby ScottQuier » 16 Jan 2014 22:34

zerozero wrote:Scott
yes, the sources.list :roll:
your 3rd line is a truncated version of the 2nd

Code: Select all

deb http://debian.solydxk.com/production testing main contrib non-free
deb http://debian.solydxk.com/production testing non-free
[hence the apt warning]
and you are missing the multimedia line

Code: Select all

deb http://debian.solydxk.com/production/multimedia testing main non-free
OK, so I deleted the third line of my sources.list and added (as the last line) the multimedia line to produce this:

Code: Select all

black-kde apt # inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.solydxk.com/production/ solydxk main upstream import kdenext
           deb http://debian.solydxk.com/production testing main contrib non-free
           deb http://debian.solydxk.com/security testing/updates main contrib non-free
           deb http://community.solydxk.com/production/ solydxk main
           deb http://debian.solydxk.com/production/multimedia testing main non-free
black-kde apt # 
Then did the update/dist-upgrade

Code: Select all

black-kde apt # apt-get dist-upgrade 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  liblivemedia16
Use 'apt-get autoremove' to remove it.
The following NEW packages will be installed:
  libavcodec55 libavdevice55 libavformat55 libavresample1 liblivemedia17 libqmobipocket1 libvidstab0.9
The following packages will be upgraded:
  ffmpeg ffmpegthumbnailer libavfilter3 libavutil52 libbasicusageenvironment0 libbluray1 libfdk-aac0 libffmpegthumbnailer4 libgroupsock1 libnepomukcore4 libpostproc52
  libswresample0 libswscale2 libusageenvironment1 libvlc5 libvlccore7 libx264-140 mplayer nepomuk-core-runtime vlc vlc-data vlc-nox vlc-plugin-notify vlc-plugin-pulse
24 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
Need to get 23.6 MB of archives.
After this operation, 16.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
and life is good again! I THINK I know how the sources.list got borked - I attempted to use the UM to update to test for the best mirror and it hung - hung bad. Ended up having to reboot the machine from a terminal. Hence, the sources.list file got corrupted and I just didn't put 2 and 2 together.

Thanks!
Scott
Quoting zerozero, "The usage of PPA's in debian-based
systems is risky at best and entails serious compatibility
problems; usually it's the best way to destroy an install"

iain1940
Posts: 23
Joined: 09 Mar 2013 08:22
Location: UK

Re: UP 2014.01.15 [PRODUCTION]

Postby iain1940 » 16 Jan 2014 22:50

:
[Copied from: SolydXK forums • View topic - UP 2014.01.15 [PRODUCTION] http://forums.solydxk.nl/viewtopic.php? ... 571#p24571]
@iain1940
Does the 2014.01.15_pre file now has the part at the bottom as described in my post here: viewtopic.php?p=24549#p24549
The file '2014.01.15_pre' isn't there any more !
$22:36:21 /usr/lib/solydxk/updatemanager >
$22:36:22 /usr/lib/solydxk/updatemanager >ls -altr
total 308
drwxr-xr-x 5 root root 4096 Sep 7 08:37 ..
-rw-r--r-- 1 root root 942 Oct 3 09:59 updatemanager.conf.dpkg-dist
-rw-r--r-- 1 root root 4 Oct 8 07:45 updatemanager.ignored
-rwxr-xr-x 1 root root 74549 Dec 30 12:31 updatemanager.py
-rw-r--r-- 1 root root 14345 Dec 30 12:31 treeview.py
-rw-r--r-- 1 root root 32731 Dec 30 12:31 threadClasses.py
-rw-r--r-- 1 root root 849 Dec 30 12:31 notfound.html
-rwxr-xr-x 1 root root 4870 Dec 30 12:31 mirror.py
-rw-r--r-- 1 root root 1023 Dec 30 12:31 lts.html
-rw-r--r-- 1 root root 4649 Dec 30 12:31 logger.py
-rw-r--r-- 1 root root 21235 Dec 30 12:31 functions.py
-rw-r--r-- 1 root root 2198 Dec 30 12:31 execcmd.py
-rw-r--r-- 1 root root 3025 Dec 30 12:31 dialogs.py
-rw-r--r-- 1 root root 2581 Dec 30 12:31 config.py
-rwxr-xr-x 1 root root 1279 Dec 30 12:31 checkWarnings.py
-rwxr-xr-x 1 root root 2862 Dec 30 12:31 checkAPT.py
-rw-r--r-- 1 root root 2875 Dec 30 12:31 changelogRetriever.py
-rw-r--r-- 1 root root 4167 Jan 15 22:36 mirror.pyc
-rw-r--r-- 1 root root 2473 Jan 15 22:36 execcmd.pyc
-rw-r--r-- 1 root root 9754 Jan 15 22:36 treeview.pyc
-rw-r--r-- 1 root root 3108 Jan 15 22:36 config.pyc
-rw-r--r-- 1 root root 2616 Jan 15 22:36 changelogRetriever.pyc
-rw-r--r-- 1 root root 19728 Jan 15 22:36 threadClasses.pyc
-rw-r--r-- 1 root root 20193 Jan 15 22:36 functions.pyc
-rw-r--r-- 1 root root 3604 Jan 15 22:36 logger.pyc
-rw-r--r-- 1 root root 3365 Jan 15 22:36 dialogs.pyc
-rw-r--r-- 1 root root 531 Jan 16 20:53 mirrors.list
drwxr-xr-x 2 root root 4096 Jan 16 20:53 .
-rw-r--r-- 1 root root 21 Jan 16 20:58 up.hist
-rw-r--r-- 1 root root 2756 Jan 16 22:23 updatemanager.log
-rw-r--r-- 1 root root 943 Jan 16 22:34 updatemanager.conf
$22:37:49 /usr/lib/solydxk/updatemanager >
after the 'successful' update I ran update manager and it said there was no previous update.
see attached .png
inxi -r
/usr/lib/solydxk/updatemanager >inxi -r
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.solydxk.nl/production/ solydxk main upstream import
deb http://community.solydxk.nl/production/ solydxk main
deb http://debian.solydxk.nl/production testing main contrib non-free
deb http://debian.solydxk.nl/production/multimedia testing main non-free
deb http://debian.solydxk.nl/security testing/updates main contrib non-free
deb http://www.bchemnet.com/suldr/ debian extra
Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
deb http://dl.google.com/linux/chrome/deb/ stable main
$22:47:05 /usr/lib/solydxk/updatemanager >

I then ran the code as suggested

Code: Select all

Schoelje wrote:
That's because UM couldn't finish the upgrade.
It doesn't harm your system, but if you would like to show the proper version:
su
echo "2014.01.15" >> /usr/lib/solydxk/updatemanager/up.hist
that may have been a mistake

If I run Update Manager now
click 'Refresh'
'Information' gives me a blank window


Sorry I'm the dark here and not being much help.
Iain
Attachments
Update Pack Info - Update Manager_101.png

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby zerozero » 17 Jan 2014 00:36

this is part of TeaSwigger's log (Thanks ;) )

Code: Select all

Start-Date: 2014-01-15  15:04:07
Commandline: apt-get -y --force-yes -f install
Upgrade: libstdc++-4.8-dev:amd64 (4.8.2-1, 4.8.2-10), libasan0:amd64 (4.8.2-1, 4.8.2-10), libquadmath0:amd64 (4.8.2-1, 4.8.2-10), cpp-4.8:amd64 (4.8.2-1, 4.8.2-10), libc6-i686:i386 (2.17-93, 2.17-97), libgomp1:amd64 (4.8.2-1, 4.8.2-10), libtsan0:amd64 (4.8.2-1, 4.8.2-10), libc-dev-bin:amd64 (2.17-93, 2.17-97), libc6:amd64 (2.17-93, 2.17-97), libatomic1:amd64 (4.8.2-1, 4.8.2-10), g++-4.8:amd64 (4.8.2-1, 4.8.2-10), binutils:amd64 (2.23.90.20131017-1, 2.24-2), libgcc-4.8-dev:amd64 (4.8.2-1, 4.8.2-10), gcc-4.8:amd64 (4.8.2-1, 4.8.2-10), libgfortran3:amd64 (4.8.2-1, 4.8.2-10), libc6-i386:amd64 (2.17-93, 2.17-97), libstdc++6:amd64 (4.8.2-1, 4.8.2-10), libstdc++6:i386 (4.8.2-1, 4.8.2-10), libitm1:amd64 (4.8.2-1, 4.8.2-10), libc6-dev:amd64 (2.17-93, 2.17-97)
Error: Sub-process /usr/bin/dpkg returned an error code (2)
End-Date: 2014-01-15  15:04:09

Start-Date: 2014-01-15  15:06:19
Commandline: apt-get -f install
Upgrade: libstdc++-4.8-dev:amd64 (4.8.2-1, 4.8.2-10), libasan0:amd64 (4.8.2-1, 4.8.2-10), libquadmath0:amd64 (4.8.2-1, 4.8.2-10), cpp-4.8:amd64 (4.8.2-1, 4.8.2-10), libc6-i686:i386 (2.17-93, 2.17-97), libgomp1:amd64 (4.8.2-1, 4.8.2-10), libtsan0:amd64 (4.8.2-1, 4.8.2-10), libc-dev-bin:amd64 (2.17-93, 2.17-97), libc6:amd64 (2.17-93, 2.17-97), libatomic1:amd64 (4.8.2-1, 4.8.2-10), g++-4.8:amd64 (4.8.2-1, 4.8.2-10), binutils:amd64 (2.23.90.20131017-1, 2.24-2), libgcc-4.8-dev:amd64 (4.8.2-1, 4.8.2-10), gcc-4.8:amd64 (4.8.2-1, 4.8.2-10), libgfortran3:amd64 (4.8.2-1, 4.8.2-10), libstdc++6:amd64 (4.8.2-1, 4.8.2-10), libstdc++6:i386 (4.8.2-1, 4.8.2-10), libitm1:amd64 (4.8.2-1, 4.8.2-10), libc6-dev:amd64 (2.17-93, 2.17-97)
End-Date: 2014-01-15  15:06:58
i have the felling that the libc6 issue is a problem with a related lib (one of those v.4.8.2-10)
in my system (where i couldn't replicate this) this is what i have

Code: Select all

zerozero@home ~ $ dpkg -l | grep 4.8.2-10
ii  cpp-4.8                                4.8.2-10                            amd64        GNU C preprocessor
ii  g++-4.8                                4.8.2-10                            amd64        GNU C++ compiler
ii  gcc-4.8                                4.8.2-10                            amd64        GNU C compiler
ii  gcc-4.8-base:amd64                     4.8.2-10                            amd64        GCC, the GNU Compiler Collection (base package)
ii  gcc-4.8-base:i386                      4.8.2-10                            i386         GCC, the GNU Compiler Collection (base package)
ii  gcj-4.8-jre                            4.8.2-10                            amd64        Java runtime environment using GIJ/Classpath
ii  gcj-4.8-jre-headless                   4.8.2-10                            amd64        Java runtime environment using GIJ/Classpath (headless version)
ii  gcj-4.8-jre-lib                        4.8.2-10                            all          Java runtime library for use with gcj (jar files)
ii  libasan0:amd64                         4.8.2-10                            amd64        AddressSanitizer -- a fast memory error detector
ii  libasan0:i386                          4.8.2-10                            i386         AddressSanitizer -- a fast memory error detector
ii  libatomic1:amd64                       4.8.2-10                            amd64        support library providing __atomic built-in functions
ii  libatomic1:i386                        4.8.2-10                            i386         support library providing __atomic built-in functions
ii  libgcc-4.8-dev:amd64                   4.8.2-10                            amd64        GCC support library (development files)
ii  libgcc-4.8-dev:i386                    4.8.2-10                            i386         GCC support library (development files)
ii  libgcc1:amd64                          1:4.8.2-10                          amd64        GCC support library
ii  libgcc1:i386                           1:4.8.2-10                          i386         GCC support library
ii  libgcj14:amd64                         4.8.2-10                            amd64        Java runtime library for use with gcj
ii  libgcj14-awt:amd64                     4.8.2-10                            amd64        AWT peer runtime libraries for use with gcj
ii  libgfortran3:amd64                     4.8.2-10                            amd64        Runtime library for GNU Fortran applications
ii  libgomp1:amd64                         4.8.2-10                            amd64        GCC OpenMP (GOMP) support library
ii  libgomp1:i386                          4.8.2-10                            i386         GCC OpenMP (GOMP) support library
ii  libitm1:amd64                          4.8.2-10                            amd64        GNU Transactional Memory Library
ii  libitm1:i386                           4.8.2-10                            i386         GNU Transactional Memory Library
ii  libquadmath0:amd64                     4.8.2-10                            amd64        GCC Quad-Precision Math Library
ii  libquadmath0:i386                      4.8.2-10                            i386         GCC Quad-Precision Math Library
ii  libstdc++-4.8-dev:amd64                4.8.2-10                            amd64        GNU Standard C++ Library v3 (development files)
ii  libstdc++6:amd64                       4.8.2-10                            amd64        GNU Standard C++ Library v3
ii  libstdc++6:i386                        4.8.2-10                            i386         GNU Standard C++ Library v3
ii  libtsan0:amd64                         4.8.2-10                            amd64        ThreadSanitizer -- a Valgrind-based detector of data races (runtime)
of course this is mainly useless information :( but if someone can make some sense out of it it's very much appreciated!
bliss of ignorance

User avatar
dlw
Posts: 12
Joined: 17 Jan 2014 02:23
Location: suburbs of Washington, D.C., USA

Re: UP 2014.01.15 [PRODUCTION]

Postby dlw » 17 Jan 2014 02:57

Just a word to say that the upgrade went almost flawlessly for me -- I only had to decide to keep the existing lightdm configuration file. And that would have been an easier decision if I'd read more documentation.

I've been exploring and playing with a 32-bit SolydX in a VMware virtual machine for a couple of weeks and decided to put a 64-bit version into "production" replacing the Scientific Linux I've been using -- mostly so that I could get xfce 4.10 in a rolling release so that I don't have to go through reinstallation horrors again. Anyway, I installed SolydX64 on the 14th, upgraded lots of packages, then skipped a day. Today , the 16th, I had more updates (security? I didn't pay attention), then a notice to upgrade the upgrader, then the 01.15 package upgrades. All went smoothly. Congratulations.

Now that I've read this thread I know to (1) read all the documentation I can find, and (2) wait a day or two before upgrading. Thanks for all your work and your quick responses to problems. It looks like the combination of testing and support will make this a great semi-rolling release. Once I get my feet wet here, I'll ask if there's any way I can help.

Peace.
SolydX64 under VirtualBox on a Lenovo T530 . . . yes, Win7 is involved.

User avatar
igor83
Posts: 67
Joined: 17 Dec 2013 07:51
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby igor83 » 17 Jan 2014 03:46

Upgrade went fine for me with just a few tiny curiosities.

I changed to the recommended mirror almost immediately because I imagined it would be faster--and it was, maxing out my Internet connection...

First time I refreshed the update button (it did not indicate that an update was available), the only update found was to update the Update Manager from 1.51 to 1.52. After I did this and refreshed, something interesting happened. The update manager spun its wheels with various messages that I couldn't read because they were flying by so fast, but it did not update anything. Based on nothing more than a hunch, I rebooted, then refreshed the update manager, and it did then find the updates and proceeded like normal.

So my recommendations are:

1. point the update manager to the mirror for speed. Uncheck the default solydxk servers so as to alleviate their bandwidth load.
2. update the update manager from 1.51 to 1.52
3. reboot is necessary at this point in order to continue updating
4. click on update manager and refresh
5. apply updates, keeping all old config files. It is necessary to click OK or Forward at 3 points during the install, so check on things every 15-20 minutes or so. Not a fully "automatic" type update as in Windows.
6. reboot to make sure all is well... all was well for me. 8-)
~ My blog is where I write about random things that occur to me ~

User avatar
Omega
Posts: 48
Joined: 25 Aug 2013 16:33
Location: Las Vegas, NV

Re: UP 2014.01.15 [PRODUCTION]

Postby Omega » 17 Jan 2014 04:55

I updated while I was at work. I came home, and everything went smoothly.

SolydK Home Edition 64Bit
Samsung Galaxy Note 3
Steam User


Return to “News & Anouncements”

Who is online

Users browsing this forum: No registered users and 1 guest